Crystal Space: iGenMeshAnimationControlFactory Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGenMeshAnimationControlFactory Struct Reference
[Mesh plugins]

This class is a factory for creating animation controls. More...

`#include <imesh/genmesh.h>`

Inheritance diagram for iGenMeshAnimationControlFactory:

[legend]
List of all members.

## Public Member Functions
virtual csPtr< iGenMeshAnimationControl > | CreateAnimationControl (iMeshObject *mesh)=0
| Create a new animation control.
virtual const char * | Load (iDocumentNode *node)=0
| Setup this animation control from a document node.
virtual const char * | Save (iDocumentNode *parent)=0
| Save this animation control to a document node.

## Detailed Description

This class is a factory for creating animation controls.

Main creators of instances implementing this interface:

- iGenMeshAnimationControlType::CreateAnimationControlFactory()

Main ways to get pointers to this interface:

- iGeneralFactoryState::GetAnimationControlFactory()

Main users of this interface:

- Genmesh plugin (crystalspace.mesh.object.genmesh)

Definition at line 550 of file genmesh.h.

## Member Function Documentation

virtual csPtr<iGenMeshAnimationControl> iGenMeshAnimationControlFactory::CreateAnimationControl | ( | iMeshObject * | mesh | ) | `[pure virtual]`

Create a new animation control.

virtual const char* iGenMeshAnimationControlFactory::Load | ( | iDocumentNode * | node | ) | `[pure virtual]`

Setup this animation control from a document node.

Returns 0 on success or an error description on failure.

virtual const char* iGenMeshAnimationControlFactory::Save | ( | iDocumentNode * | parent | ) | `[pure virtual]`

Save this animation control to a document node.

Returns 0 on success or an error description on failure.

The documentation for this struct was generated from the following file:

- imesh/genmesh.h